<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'divisions';

		/* data for selected record, or defaults if none is selected */
		var data = {
			to_services: <?php echo json_encode(array('id' => $rdata['to_services'], 'value' => $rdata['to_services'], 'text' => $jdata['to_services'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for to_services */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'to_services' && d.id == data.to_services.id)
				return { results: [ data.to_services ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

